/*-------------------------------------------------------------------------*/
/**
 [Project ]: 프레임웍 기반 그룹웨어 시제품 개발
 [Date] : 1999. 9. 3
 [Source file]: com/etri/groupware/SearchData.java
 [Vesion] : 1.0
 */
/*--------------------------------------------------------------------------*/

package com.etri.groupware.mail;

public class SearchData {
	
	protected String subject;
	protected String from;
	protected java.util.Date date;
	protected String bodyPattern;
	protected boolean orFlag = false;
	
	public SearchData(String subject, String from, java.util.Date date, String bodyPattern, boolean orFlag) {
		
		this.subject = subject;
		this.from = from;
		this.date = date;
		this.bodyPattern = bodyPattern;
		this.orFlag = orFlag;
	}
	
	public String getSubject(){
		return subject;
	}
	
	public void setSubject(String subject){
		this.subject = subject;
	}
	
	public String getFrom(){
		return from;
	}
	
	public void setFrom(String from){
		this.from = from;
	}
	
	public java.util.Date getDate(){
		return date;
	}
	
	public void setDate(java.util.Date date){
		this.date = date;
	}
	
	public String getBodyPattern(){
		return bodyPattern;
	}
	
	public void setBodyPattern(String bodyPattern){
		this.bodyPattern = bodyPattern;
	}
	
	public boolean getOrFlag(){
		return orFlag;
	}
	
	public void  setOrFlag(boolean orFlag){
		this.orFlag = orFlag;
	}
		
}